package scenes

import (
	"image/color"

	"github.com/hajimehoshi/ebiten/v2"
	"github.com/hajimehoshi/ebiten/v2/ebitenutil"
)

type MenuScene struct {
}

func NewMenuScene() *MenuScene {
	return &MenuScene{}
}

func (m *MenuScene) Update() error {
	return nil
}

func (m *MenuScene) Draw(screen *ebiten.Image) {
	screen.Fill(color.RGBA{0x20, 0x20, 0x20, 0xff})

	ebitenutil.DebugPrintAt(screen, "REGIN : MOUNTAIN OF TREASURES", 300, 250)
	ebitenutil.DebugPrintAt(screen, "Tryck ENTER for att starta", 310, 300)
}
